Package Gnumed :: Package pycommon :: Module gmWorkerThread |
[frames] | no frames]

# Module gmWorkerThread

source code

GNUmed worker threads.

Author: K.Hilbert <karsten.hilbert@gmx.net>

License: GPL v2 or later

Functions
execute_in_worker_thread(payload_function=None, payload_kwargs=None, completion_callback=None, worker_name=None) Create a thread and have it execute <payload_function>. | source code

Variables
| __doc__ = `"""GNUmed worker threads."""`
| __package__ = ``'``Gnumed.pycommon``'``

Imports: sys, logging, threading, dt, copy

Function Details

### execute_in_worker_thread(payload_function=None, payload_kwargs=None, completion_callback=None, worker_name=None) | source code
Create a thread and have it execute <payload_function>. <completion_callback> - if not None - better be prepared to receive the result of <payload_function>.